# ParallelismConfiguration

interface ParallelismConfiguration

A `ParallelismConfiguration` defines the parallel settings for a Gradle build.

#### Since

4.1

#### Inheritors

StartParameter

## Functions

getMaxWorkerCount
Link copied to clipboard
abstract fun getMaxWorkerCount(): Int
Returns the maximum number of concurrent workers used for underlying build operations.
isParallelProjectExecutionEnabled
Link copied to clipboard
abstract fun isParallelProjectExecutionEnabled(): Boolean
Returns true if parallel project execution is enabled.
setMaxWorkerCount
Link copied to clipboard
abstract fun setMaxWorkerCount(maxWorkerCount: Int)
Specifies the maximum number of concurrent workers used for underlying build operations.
setParallelProjectExecutionEnabled
Link copied to clipboard
abstract fun setParallelProjectExecutionEnabled(parallelProjectExecution: Boolean)
Enables/disables parallel project execution.